org.apache.sysds.hops.estim

## Class EstimatorLayeredGraph.LayeredGraph

- java.lang.Object
- - org.apache.sysds.hops.estim.EstimatorLayeredGraph.LayeredGraph

Enclosing class:
  EstimatorLayeredGraph

    public static class EstimatorLayeredGraph.LayeredGraph
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`LayeredGraph(List<MatrixBlock> chain, int r)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `buildNext(MatrixBlock mb)`
`long` `estimateNnz()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayeredGraph

    public LayeredGraph(List<MatrixBlock> chain,
                        int r)

### Method Detail

#### buildNext

    public void buildNext(MatrixBlock mb)

#### estimateNnz

    public long estimateNnz()